/*
 *   ffilter.h
 *   metatemplate Vers. 0.10.0
 *                    Copyright (C)  2002-2010  Matteo Nastasi
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *     CONTACT:    nastasi@alternativeoutput.it
 *                 matteo.nastasi@milug.org
 *
 */

#include <stdio.h>

#define FFDIMBUF 1024
#define FFMEZBUF  512
#define FFNESTED   16

struct fi_handle_tag {
  FILE *fp[FFNESTED];        /* pointer ai vari file nidificati */
  char *bf[FFNESTED];        /* buffer dei vari file */
  int nc[FFNESTED];          /* numero di char attualmente nel buffer */ 
  int nfile;                 /* numero di file in stack aperti */
  char **keys;               /* chiavi di interruzione */
  int fkey;                  /* indice chiave trovata */
  int index;                 /* indice nell'array globale dei FIFILE */
  int noctrlm;               /* no control M */
};
typedef struct fi_handle_tag FIFILE;

FIFILE *ffopen(char *,char **);
int ffinclude(FIFILE *,char *);
int ffclose(FIFILE *);
void ffchankeys(FIFILE *,char **);
int ffgetbin(char *,int,FIFILE *);
int ffkstat(FIFILE *);
char **ffgetkeys(FIFILE *);


